/*
 * Copyright (c) 2021, 2025 Contributors to the Eclipse Foundation
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */
/*
 * generated by Xtext 2.22.0
 */

package org.eclipse.trace4cps.tl.ide;

import org.eclipse.trace4cps.tl.EtlRuntimeModule;
import org.eclipse.trace4cps.tl.EtlStandaloneSetup;
import org.eclipse.xtext.util.Modules2;

import com.google.inject.Guice;
import com.google.inject.Injector;

/**
 * Initialization support for running Xtext languages as language servers.
 */
public class EtlIdeSetup extends EtlStandaloneSetup {
    @Override
    public Injector createInjector() {
        return Guice.createInjector(Modules2.mixin(new EtlRuntimeModule(), new EtlIdeModule()));
    }
}
